Docs for other versions: 2.6 / 2.5 / 2.4 / 2.3 / 2.2 / 2.1 / 2.0 / 1.9

Language packs

From MoodleDocs
Jump to: navigation, search

Over 100 language packs are available for an administrator to install on your Moodle site via Settings > Site administration > Language > Language packs. Simply select the languages you require from the list of available language packs and click on the "Install selected language pack" button.

Multiple language packs may be selected for install by holding down the Apple or Ctrl key whilst clicking on the language packs.

All language packs, apart from English, are stored in moodledata/lang folder.

Contents

Parent language packs

Certain language packs contain only the modified language strings from their parent language, rather than a complete set. Thus, it is necessary to install the parent language pack too. These language packs are:

  • de_du, de_kids and de_comm (which requires de)
  • es_ar (which require es)
  • fr_ca (which requires fr)
  • en_us (which requires the default en)

Manual language pack installation

Language packs may also be installed manually by downloading the zip file from http://download.moodle.org/langpack/ to a directory called lang in your moodledata directory and then unzipping.

Language pack updates

To update installed language packs, except English and any local language packs, click the 'Update all installed language packs' button in Settings > Site administration > Language > Language packs. The English language pack is updated automatically each time the site is upgraded.

See also